Bug 31884 - Writer slow down or crash while opening or scrolling heavily formatted DOC
Summary: Writer slow down or crash while opening or scrolling heavily formatted DOC
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2010-11-24 00:26 UTC by Marwan Gedeon
Modified: 2016-05-04 07:56 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
MS Word document too heavy to manipuate (52.50 KB, application/msword)
2010-11-24 00:26 UTC, Marwan Gedeon
Details
procdump crash on open master - debug (11.74 KB, text/plain)
2016-01-19 18:12 UTC, Timur
Details
procdump crash on scroll master - debug (12.41 KB, text/plain)
2016-01-19 18:12 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marwan Gedeon 2010-11-24 00:26:45 UTC
Created attachment 40533 [details]
MS Word document too heavy to manipuate

If you open the attached doc in Writer, you will have difficulties scrolling to the area where the tables are, and more difficulties also when you try to fill up any text inside the area for that purpose. 
This issue has also been noticed under Go-OO running on Windows XP, so it's not LibreOffice specific.
Comment 1 Rainer Bielefeld Retired 2010-11-24 01:41:59 UTC
[Reproducible] with "LibreOffice 3.3.0Beta3 - WIN XP DE [OOO330m9 (build 3.2.99.3)]", 100% CPU load after click into table.

Works fine with OOo 3.1.1
Comment 2 Wael Abboud 2010-11-24 02:00:11 UTC
Added Wael on CC list.
Comment 3 Marwan Gedeon 2010-11-24 08:49:22 UTC
added libreoffice@zaradoustra.com to CC list
Comment 4 Roman Eisele 2012-05-04 07:43:29 UTC
This is a Writer issue, therefore changed 'Component' field accordingly.

Added 'regression' keyword, as per comment #1 this worked fine with OOo 3.1.1.
Comment 5 Roman Eisele 2012-05-04 07:47:45 UTC
Still [REPRODUCIBLE] with LibreOffice 3.5.3.2 (Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80), German langpack installed, on MacOS X 10.6.8.

Scrolling works rather smoothly for me, but CPU load still goes to 100% when I click inside the main table or try to edit it.
Comment 6 Julien Nabet 2012-10-27 13:23:31 UTC
On pc Debian x86-64 with master sources updated today, it seems to loop during opening.
Here are the console logs:
warn:legacy.osl:22671:1:/home/julien/compile-libreoffice/libo/sot/source/sdstor/stgdir.cxx:419: Trying to resize readonly stream by seeking, could be a wrong offset!
warn:legacy.osl:22671:1:/home/julien/compile-libreoffice/libo/sw/source/core/layout/tabfrm.cxx:2606: debug assertion: <SwTabFrm::MakeAll()> - format of table lowers suppressed by fix i44910
and the last one repeats...

Cedric: would a bt would be useful?
Comment 7 bfoman (inactive) 2013-07-24 13:53:34 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Scrolling is not a problem soon after opening, but LO starts to lock (for many seconds) when you click in the table fields and then scroll (not always). Especially when you click in Comment column. After a while the table cells collapse and expand when clicked. All in all working on the document is quite impossible.
Comment 8 Teo91 2014-07-13 15:46:04 UTC
I can confirm this bug on Windows 7 SP1 x64 with LO 4.2.5.

Same behaviour described in comment #7, especially when clicking the column "Comment/Action Items" of the document.
Comment 9 QA Administrators 2014-10-23 17:31:49 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 10 Teo91 2014-10-23 17:41:38 UTC
I can confirm this bug on Windows 8.1 Update 1 x64 with LO 4.2.6

I tried LO 4.4.0.0 Alpha 1 (daily build 20th October 2014) and the bug it's still present on master.
Comment 11 Matthew Francis 2014-12-30 14:49:17 UTC
Keywords:regression should be reserved for regressions that have been introduced in LO, but this bug is inherited from OOo

-> Removing Keywords:regression
-> Setting Version: "Inherited from OOo"


I note that the slowdown is particularly bad in a dbgutil build - just opening the file takes 30 seconds, in comparison with 3 seconds for the same 4.5 master version built non-dbgutil
Comment 12 Matthew Francis 2014-12-30 14:57:37 UTC
Adding Cc: to vmiklos@collabora.co.uk

As above, this is a very old bug, but your commit below seems to have some bearing on it. In a dbgutil build, the warning mentioned in the commit is spewed repeatedly when handling the attached file. Is there anything you can add to this?
Thanks


commit 8b6ff51bb89db0d7050bb4d00c0ec797b4754f25
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Mon Feb 17 10:00:32 2014 +0100

    fdo#74357 DOCX import: avoid layout problem with automatic spacing
    
    Commit 279ff2e03371542d014bf281e73282ba8080cf6b (bnc#816593 DOCX import:
    fix auto para spacing without compat option, 2013-08-28) corrected the
    value of "auto" paragraph spacing, but unfortunately this triggers a
    layout problem:
    
    warn:legacy.osl:12692:1:sw/source/core/layout/tabfrm.cxx:2513: debug assertion: <SwTabFrm::MakeAll()> - format of table lowers suppressed by fix i44910
    
    resulting in "the rest of the table is not rendered by the layout".
    
    Given that we backported the original fix to stable branches as well,
    just stay on the safe side and revert back to the original behavior in
    case the document requests the web layout.
    
    Change-Id: I72683530b5218beff084bec8218cc99946b44802
Comment 13 QA Administrators 2016-01-17 20:03:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 14 Teo91 2016-01-19 14:28:22 UTC
I can confirm this bug is still present in LO 5.0.4 on Win8.1 x64
Comment 15 Timur 2016-01-19 18:12:20 UTC
Created attachment 122090 [details]
procdump crash on open master - debug
Comment 16 Timur 2016-01-19 18:12:41 UTC
Created attachment 122091 [details]
procdump crash on scroll master - debug
Comment 17 Jean-Baptiste Faure 2016-05-01 11:25:25 UTC
Not reproducible for me in LO 5.1.4.0.0+ and master, both build at home under Ubuntu 16.04 x86-64.

Please test again with MS-Windows.

Best regards. JBF
Comment 18 Timur 2016-05-04 07:56:39 UTC
Looks like fixed in master 5.2+ and backported to 5.0.6.